<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>bookflow</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="bookflow">
<span id="ext-bookflow"></span>
<h1 class="title">bookflow</h1>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#description" id="toc-entry-1">Description</a></li>
</ul>
</div>
<p>implements bookmark-based branching (EXPERIMENTAL)</p>
<div class="section" id="description">
<h1><a class="toc-backref" href="#contents">Description</a></h1>
<ul class="simple">
<li>Disables creation of new branches (config: enable_branches=False).</li>
<li>Requires an active bookmark on commit (config: require_bookmark=True).</li>
<li>Doesn't move the active bookmark on update, only on commit.</li>
<li>Requires '--rev' for moving an existing bookmark.</li>
<li>Protects special bookmarks (config: protect=&#64;).</li>
</ul>
<p>flow related commands</p>
<blockquote>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">hg book NAME:</th><td class="field-body">create a new bookmark</td>
</tr>
<tr class="field"><th class="field-name" colspan="2">hg book NAME -r REV:</th></tr>
<tr class="field"><td>&nbsp;</td><td class="field-body">move bookmark to revision (fast-forward)</td>
</tr>
<tr class="field"><th class="field-name">hg up|co NAME:</th><td class="field-body">switch to bookmark</td>
</tr>
<tr class="field"><th class="field-name">hg push -B .:</th><td class="field-body">push active bookmark</td>
</tr>
</tbody>
</table>
</blockquote>
</div>
</div>
</body>
</html>
